Skip to content
Start here

Get all converted formats supported

ai.to_markdown.supported(ToMarkdownSupportedParams**kwargs) -> SyncSinglePage[ToMarkdownSupportedResponse]
GET/accounts/{account_id}/ai/tomarkdown/supported

Lists all file formats supported for conversion to Markdown.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers AI WriteWorkers AI Read
ParametersExpand Collapse
account_id: str
ReturnsExpand Collapse
class ToMarkdownSupportedResponse:
extension: str
mime_type: str

Get all converted formats supported

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.ai.to_markdown.supported(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result[0]
print(page.extension)
{
  "result": [
    {
      "extension": "extension",
      "mimeType": "mimeType"
    }
  ],
  "success": true
}
Returns Examples
{
  "result": [
    {
      "extension": "extension",
      "mimeType": "mimeType"
    }
  ],
  "success": true
}